summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Mario Preksavec2014-11-27 01:54:01 +0100
committer Willy Sudiarto Raharjo2014-11-29 02:13:45 +0100
commit1369359e426b98f084808d31de1db3625ea7333f (patch)
tree49746d29aee31672540f3c2ae3ba0a8780f4892d
parent43ce728f358b4ece05255a7e9a1125b10de00b9e (diff)
downloadslackbuilds-1369359e426b98f084808d31de1db3625ea7333f.tar.gz
system/drbd-utils: Fixes for manpages.
-rw-r--r--system/drbd-utils/drbd-utils.SlackBuild9
1 files changed, 8 insertions, 1 deletions
diff --git a/system/drbd-utils/drbd-utils.SlackBuild b/system/drbd-utils/drbd-utils.SlackBuild
index d1eb851828..7596695cbd 100644
--- a/system/drbd-utils/drbd-utils.SlackBuild
+++ b/system/drbd-utils/drbd-utils.SlackBuild
@@ -24,7 +24,7 @@
PRGNAM=drbd-utils
VERSION=${VERSION:-8.9.1}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
@@ -95,6 +95,13 @@ find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | gr
find $PKG/usr/man -type f -exec gzip -9 {} \;
+# Remove dead symlink
+unlink $PKG/usr/man/man8/drbd-overview.8 || true
+
+# Unbreak manpage symlinks after gzip (above)
+find $PKG/usr/man -type l ! -name '*.gz' \
+ -exec bash -c 'ln -s $(readlink $1).gz $1.gz && unlink $1' doh {} \;
+
# Relocate udev rules
mkdir $PKG/lib/udev/rules.d
mv $PKG/lib/udev/65-drbd.rules $PKG/lib/udev/rules.d